Package org.apache.lucene.internal.hppc

# Class IntLongHashMap.ValuesContainer

java.lang.Object
org.apache.lucene.internal.hppc.IntLongHashMap.ValuesContainer

All Implemented Interfaces:
  `Iterable<LongCursor>`

Enclosing class:
  `IntLongHashMap`

public final class IntLongHashMap.ValuesContainer extends Object implements Iterable<LongCursor>
A view over the set of values of this map.

## Constructor Summary

Constructors
Constructor
Description
`ValuesContainer()`

## Method Summary

Modifier and Type
Method
Description
`Iterator<LongCursor>`
`iterator()`
`long[]`
`toArray()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Constructor Details

### ValuesContainer

public ValuesContainer()

## Method Details

### iterator

public Iterator<LongCursor> iterator()

Specified by:
  `iterator` in interface `Iterable<LongCursor>`

### toArray

public long[] toArray()